# `py_maze_maker`

The `py_maze_maker` is a simple ASCII maze maker to test my newly acquired knowledge of Python language.

## BACKGROUND

I first created the `maze` script in `Perl` many many years ago when started learning the language but never shared the code with public. When I was offered to write for [**Raku Advent Calendar 2019**](https://raku-advent.blog/category/2019), I decided to clean up the code a bit and share with public as [**gist**](https://gist.github.com/manwar/29b01869cc7975f37b1d3492ae44ac3c) on `Dec 12, 2019`. 

By now, I knew it would be fun to convert the `Perl` code into `Raku` language that I just started playing as part of [**The Weekly Challenge**](https://theweeklychallenge.org) project. It was my first ever post for `Raku Advent Calendar` and my first ever open source code in `Raku`. I was allotted the [**Day 17**](https://raku-advent.blog/2019/12/17/maze-maker-for-fun) in the `Raku Advent Calendar 2019`. Being an author of `100+` modules in `Perl` and shared on [**MetaCPAN**](https://metacpan.org/author/MANWAR), I thought why not publish the code as `Raku` module. On `Dec 19, 2019`, I published my first ever `Raku` module [**Games::Maze**](https://raku.land/cpan:MANWAR/Games::Maze).

Just as I started playing with `Raku` as part of `The Weekly Challenge` project, I decided to get my hand dirty with `Python` too. I was encouraged by the overwhelming support for `Python` language by `Team PWC`. 

I did few [**LinkedIn Learning**](https://www.linkedin.com/learning) courses in `Python` recently. So, I wanted to test my knowledge and what else project other than `maze game` to play with. I shared my first ever open source code in `Python` as [**gist**](https://gist.github.com/manwar/18c0495b42f69d260c627093b2f73b61). You can clearly see all the signs of beginners. I was happy with my effort to be honest. I didn't stop there, now I wanted to publish the code as `Python` package but had no clue how to go about it. After little research, I finally released my first ever open source code in `Python` as package [**py_maze_maker**](https://pypi.org/project/py-maze-maker) on `Jan 17, 2024`.


## INSTALLATION

You can install the package just like any other regular `Python` packages e.g. `pip install py_maze_maker`.

## USAGE

The `py_maze_maker` package comes with a command line script `maze-maker`. You can use it to play with the game.

    usage: maze-maker [-h] --height HEIGHT --width WIDTH

    optional arguments:
        -h, --help       show this help message and exit
        --height HEIGHT  The height of the maze and mandatory argument.
        --width WIDTH    The width of the maze and mandatory argument.

## AUTHOR

Mohammad Sajid Anwar `<mohammad.anwar@yahoo.com>`

## CONTACT

| &nbsp; [**GitHub**](https://github.com/manwar) &nbsp; | &nbsp; [**LinkedIn**](https://www.linkedin.com/in/mohammadanwar) &nbsp; | &nbsp; [**Twitter**](https://twitter.com/cpan_author) &nbsp; | &nbsp; [**Mastodon**](https://fosstodon.org/@manwar) &nbsp; | &nbsp; [**Facebook**](https://www.facebook.com/mohammad.s.anwar) &nbsp; |
